Package com.microblink.blinkid.fragment.overlay.blinkid.reticleui.strings.options

# Interface ReticleOverlayStringsOptions<T>

All Known Implementing Classes:
  `ReticleOverlayStrings.Builder`

public interface ReticleOverlayStringsOptions<T>

- ## Method Summary

  Modifier and Type
  Method
  Description
  `T`
  `setBackSideBarcodeInstructions(String text)`
  `T`
  `setBackSideInstructions(String text)`
  `T`
  `setErrorBlurDetected(String text)`
  `T`
  `setErrorDocumentNotFullyVisible(String text)`
  `T`
  `setErrorDocumentTooCloseToEdge(String text)`
  `T`
  `setErrorFacePhotoNotFullyVisible(String text)`
  `T`
  `setErrorGlareDetected(String text)`
  `T`
  `setErrorMoveCloser(String text)`
  `T`
  `setErrorMoveFarther(String text)`
  `T`
  `setErrorScanningWrongPageLeft(String text)`
  `T`
  `setErrorScanningWrongPageRight(String text)`
  `T`
  `setErrorScanningWrongPageTop(String text)`
  `T`
  `setErrorScanningWrongSide(String text)`
  `T`
  `setFirstSideInstructionsText(String text)`
  `T`
  `setFlashlightWarningMessage(String text)`
  `T`
  `setFlipInstructions(String text)`
  `T`
  `setHelpTooltip(String helpTooltip)`
  `T`
  `setIntroductionDialogDoneButtonText(String doneButton)`
  `T`
  `setIntroductionDialogMessage(String dialogMessage)`
  `T`
  `setIntroductionDialogTitle(String dialogTitle)`
  `T`
  `setLeftPageInstructions(String text)`
  `T`
  `setOnboardingBackButtonText(String onboardingBackButtonText)`
  `T`
  `setOnboardingDoneButtonText(String onboardingDoneButtonText)`
  `T`
  `setOnboardingMessages(String[] onboardingMessages)`
  `T`
  `setOnboardingNextButtonText(String onboardingNextButtonText)`
  `T`
  `setOnboardingSkipButtonText(String onboardingSkipButtonText)`
  `T`
  `setOnboardingTitles(String[] onboardingTitles)`
  `T`
  `setRecognitionTimeoutMessage(String text)`
  `T`
  `setRecognitionTimeoutTitle(String text)`
  `T`
  `setRetryButtonText(String buttonText)`
  `T`
  `setRightPageInstructions(String text)`
  `T`
  `setSidesNotMatchingMessage(String message)`
  `T`
  `setSidesNotMatchingTitle(String title)`
  `T`
  `setTopPageInstructions(String text)`
  `T`
  `setTurnLeftPageInstructions(String text)`
  `T`
  `setTurnRightPageInstructions(String text)`
  `T`
  `setTurnTopPageInstructions(String text)`
  `T`
  `setUnsupportedDocumentMessage(String text)`
  `T`
  `setUnsupportedDocumentTitle(String text)`

- ## Method Details

  - ### setSidesNotMatchingTitle

    @NonNull T setSidesNotMatchingTitle(@Nullable String title)

  - ### setSidesNotMatchingMessage

    @NonNull T setSidesNotMatchingMessage(@Nullable String message)

  - ### setRetryButtonText

    @NonNull T setRetryButtonText(@Nullable String buttonText)

  - ### setFirstSideInstructionsText

    @NonNull T setFirstSideInstructionsText(@Nullable String text)

  - ### setFlipInstructions

    @NonNull T setFlipInstructions(@Nullable String text)

  - ### setTurnTopPageInstructions

    @NonNull T setTurnTopPageInstructions(@Nullable String text)

  - ### setTurnLeftPageInstructions

    @NonNull T setTurnLeftPageInstructions(@Nullable String text)

  - ### setTurnRightPageInstructions

    @NonNull T setTurnRightPageInstructions(@Nullable String text)

  - ### setBackSideInstructions

    @NonNull T setBackSideInstructions(@Nullable String text)

  - ### setTopPageInstructions

    @NonNull T setTopPageInstructions(@Nullable String text)

  - ### setLeftPageInstructions

    @NonNull T setLeftPageInstructions(@Nullable String text)

  - ### setRightPageInstructions

    @NonNull T setRightPageInstructions(@Nullable String text)

  - ### setBackSideBarcodeInstructions

    @NonNull T setBackSideBarcodeInstructions(@Nullable String text)

  - ### setErrorMoveCloser

    @NonNull T setErrorMoveCloser(@Nullable String text)

  - ### setErrorMoveFarther

    @NonNull T setErrorMoveFarther(@Nullable String text)

  - ### setErrorDocumentTooCloseToEdge

    @NonNull T setErrorDocumentTooCloseToEdge(@Nullable String text)

  - ### setErrorDocumentNotFullyVisible

    @NonNull T setErrorDocumentNotFullyVisible(@Nullable String text)

  - ### setErrorBlurDetected

    @NonNull T setErrorBlurDetected(@Nullable String text)

  - ### setErrorGlareDetected

    @NonNull T setErrorGlareDetected(@Nullable String text)

  - ### setErrorScanningWrongSide

    @NonNull T setErrorScanningWrongSide(@Nullable String text)

  - ### setErrorScanningWrongPageTop

    @NonNull T setErrorScanningWrongPageTop(@Nullable String text)

  - ### setErrorScanningWrongPageLeft

    @NonNull T setErrorScanningWrongPageLeft(@Nullable String text)

  - ### setErrorScanningWrongPageRight

    @NonNull T setErrorScanningWrongPageRight(@Nullable String text)

  - ### setErrorFacePhotoNotFullyVisible

    @NonNull T setErrorFacePhotoNotFullyVisible(@Nullable String text)

  - ### setUnsupportedDocumentTitle

    @NonNull T setUnsupportedDocumentTitle(@Nullable String text)

  - ### setUnsupportedDocumentMessage

    @NonNull T setUnsupportedDocumentMessage(@Nullable String text)

  - ### setRecognitionTimeoutTitle

    @NonNull T setRecognitionTimeoutTitle(@Nullable String text)

  - ### setRecognitionTimeoutMessage

    @NonNull T setRecognitionTimeoutMessage(@Nullable String text)

  - ### setFlashlightWarningMessage

    @NonNull T setFlashlightWarningMessage(@Nullable String text)

  - ### setIntroductionDialogTitle

    @NonNull T setIntroductionDialogTitle(@Nullable String dialogTitle)

  - ### setIntroductionDialogMessage

    @NonNull T setIntroductionDialogMessage(@Nullable String dialogMessage)

  - ### setIntroductionDialogDoneButtonText

    @NonNull T setIntroductionDialogDoneButtonText(@Nullable String doneButton)

  - ### setHelpTooltip

    @NonNull T setHelpTooltip(@Nullable String helpTooltip)

  - ### setOnboardingSkipButtonText

    @NonNull T setOnboardingSkipButtonText(@Nullable String onboardingSkipButtonText)

  - ### setOnboardingBackButtonText

    @NonNull T setOnboardingBackButtonText(@Nullable String onboardingBackButtonText)

  - ### setOnboardingNextButtonText

    @NonNull T setOnboardingNextButtonText(@Nullable String onboardingNextButtonText)

  - ### setOnboardingDoneButtonText

    @NonNull T setOnboardingDoneButtonText(@Nullable String onboardingDoneButtonText)

  - ### setOnboardingTitles

    @NonNull T setOnboardingTitles(@Nullable String[] onboardingTitles)

  - ### setOnboardingMessages

    @NonNull T setOnboardingMessages(@Nullable String[] onboardingMessages)